import request from "@/utils/request";

// 查询列表
export function getList(query) {
  return request({
    url: "/info/infoContent/list",
    method: "get",
    params: query,
  });
}

// 查询详情
export function getDetail(id) {
  return request({
    url: `/info/infoContent/${id}`,
    method: "get",
  });
}

// 新增
export function add(data) {
  return request({
    url: "/info/infoContent",
    method: "post",
    data,
  });
}

// 修改
export function update(data) {
  return request({
    url: "/info/infoContent",
    method: "put",
    data,
  });
}

// 删除
export function del(ids) {
  return request({
    url: `/info/infoContent/${ids}`,
    method: "delete",
  });
}
